/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PerfectCAENCdDriver.h"
#include "CAENCdDef.h"

using namespace std;

namespace caen_cd {

/*
 * Constructor
 */
PerfectCAENCdDriver::PerfectCAENCdDriver(CAENCdDriver* owner) :
	CAENCdState(owner) {
	/* Empty */
}

/*
 * Destructor
 */
PerfectCAENCdDriver::~PerfectCAENCdDriver() {
	/* Empty */
}

/*!
 * \brief Init command implementation
 */
void PerfectCAENCdDriver::init() {

}

/*!
 * \brief Clear command implementation
 */
void PerfectCAENCdDriver::clear() {

}

/*!
 * \brief Reset command implementation
 */
void PerfectCAENCdDriver::reset() {

}

/*!
 * \brief Write Param command implementation
 */
void PerfectCAENCdDriver::writeParam() {

}

/*!
 * \brief Set acquisition mode command implementation
 */
void PerfectCAENCdDriver::setAcqMode() {

}

/*!
 * \brief Read Infos command implementation
 */
void PerfectCAENCdDriver::readInfos() {

}

}
